List payments
GET
/api/tenant/{tenantId}/Payments
using System.Net.Http.Headers;var client = new HttpClient();var request = new HttpRequestMessage{ Method = HttpMethod.Get, RequestUri = new Uri("https://api.nimles.com/e-commerce/api/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/Payments"), Headers = { { "Authorization", "Bearer <token>" }, },};using (var response = await client.SendAsync(request)){ response.EnsureSuccessStatusCode(); var body = await response.Content.ReadAsStringAsync(); Console.WriteLine(body);}const url = 'https://api.nimles.com/e-commerce/api/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/Payments';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.nimles.com/e-commerce/api/tenant/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/Payments \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”tenantId
required
string format: uuid
Your tenant id.
Query Parameters
Section titled “Query Parameters”ids
Array<string>
orderId
string format: uuid
buyerResourceGroupId
string format: uuid
sellerResourceGroupId
string format: uuid
Responses
Section titled “Responses”OK
Media typeapplication/json
object
fields
object
key
additional properties
string
data
Array<object>
object
fields
object
key
additional properties
object
value
required
valueType
string
accessibility
string
id
string format: uuid
relations
Array<object>
object
fields
object
key
additional properties
object
value
required
valueType
string
accessibility
string
id
string format: uuid
name
string
entityId
required
string format: uuid
entityType
required
string
relationType
required
string
tenantId
string format: uuid
resourceGroupId
string format: uuid
creatorId
string format: uuid
createdDate
string format: date-time
version
integer format: int32
lastModified
string format: date-time
paymentOptionId
string format: uuid
orderId
string format: uuid
paymentNumber
integer format: int32
name
string
description
string
paymentType
string
status
string
buyer
object
fields
object
key
additional properties
object
value
required
valueType
string
accessibility
string
id
string format: uuid
organizationId
string format: uuid
userId
string format: uuid
siteId
string format: uuid
customerType
string
identityNumber
string
organizationName
string
firstName
string
lastName
string
email
string
phoneNumber
string
deliveryAddress
object
coAddress
string
state
string
country
string
name
string
firstName
string
lastName
string
street
string
postalCode
string
city
string
billingAddress
object
coAddress
string
state
string
country
string
name
string
firstName
string
lastName
string
street
string
postalCode
string
city
string
useDeliveryAddress
boolean
seller
object
fields
object
key
additional properties
object
value
required
valueType
string
accessibility
string
id
string format: uuid
organizationId
string format: uuid
userId
string format: uuid
siteId
string format: uuid
items
Array<object>
object
fields
object
key
additional properties
object
value
required
valueType
string
accessibility
string
id
string format: uuid
orderId
string format: uuid
orderItemId
string format: uuid
sku
string
name
string
description
string
unitNetPrice
number format: double
unitGrossPrice
number format: double
quantity
number format: double
netAmount
number format: double
vatRate
integer format: int32
grossAmount
number format: double
netAmount
number format: double
grossAmount
number format: double
currency
string
dueDate
string format: date-time
events
Array<object>
object
fields
object
key
additional properties
object
value
required
valueType
string
accessibility
string
id
string format: uuid
userId
string format: uuid
eventType
string
status
string
clientIpAddress
string
paymentProcessorStatus
string
message
string
urls
object
fields
object
key
additional properties
object
value
required
valueType
string
accessibility
string
cancel
string
terms
string
checkout
string
confirmation
string
push
string
addressUpdate
string
cancellationTerms
string
countryChange
string
notification
string
shippingOptionUpdate
string
validation
string
country
string
paymentProcessor
string
htmlSnippet
string
paymentReference
string
customerReference
string
credentialReference
string
paymentProcessorStatus
string
clientSecret
string
isPayLater
boolean
Example generated
{ "data": [ { "fields": { "additionalProperty": { "value": "example", "valueType": "example" } }, "accessibility": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "relations": [ { "fields": { "additionalProperty": { "value": "example", "valueType": "example" } }, "accessibility": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "name": "example", "entityId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "entityType": "example", "relationType": "example" } ], "tenantId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "resourceGroupId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "creatorId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "createdDate": "2026-04-15T12:00:00Z", "version": 1, "lastModified": "2026-04-15T12:00:00Z", "paymentOptionId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "orderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "paymentNumber": 1, "name": "example", "description": "example", "paymentType": "example", "status": "example", "buyer": { "fields": { "additionalProperty": { "value": "example", "valueType": "example" } }, "accessibility": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "organizationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "siteId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "customerType": "example", "identityNumber": "example", "organizationName": "example", "firstName": "example", "lastName": "example", "email": "example", "phoneNumber": "example", "deliveryAddress": { "coAddress": "example", "state": "example", "country": "example", "name": "example", "firstName": "example", "lastName": "example", "street": "example", "postalCode": "example", "city": "example" }, "billingAddress": { "coAddress": "example", "state": "example", "country": "example", "name": "example", "firstName": "example", "lastName": "example", "street": "example", "postalCode": "example", "city": "example" }, "useDeliveryAddress": true }, "seller": { "fields": { "additionalProperty": { "value": "example", "valueType": "example" } }, "accessibility": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "organizationId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "siteId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0" }, "items": [ { "fields": { "additionalProperty": { "value": "example", "valueType": "example" } }, "accessibility": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "orderId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "orderItemId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "sku": "example", "name": "example", "description": "example", "unitNetPrice": 1, "unitGrossPrice": 1, "quantity": 1, "netAmount": 1, "vatRate": 1, "grossAmount": 1 } ], "netAmount": 1, "grossAmount": 1, "currency": "example", "dueDate": "2026-04-15T12:00:00Z", "events": [ { "fields": { "additionalProperty": { "value": "example", "valueType": "example" } }, "accessibility": "example", "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "userId": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "eventType": "example", "status": "example", "clientIpAddress": "example", "paymentProcessorStatus": "example", "message": "example" } ], "urls": { "fields": { "additionalProperty": { "value": "example", "valueType": "example" } }, "accessibility": "example", "cancel": "example", "terms": "example", "checkout": "example", "confirmation": "example", "push": "example", "addressUpdate": "example", "cancellationTerms": "example", "countryChange": "example", "notification": "example", "shippingOptionUpdate": "example", "validation": "example" }, "country": "example", "paymentProcessor": "example", "htmlSnippet": "example", "paymentReference": "example", "customerReference": "example", "credentialReference": "example", "paymentProcessorStatus": "example", "clientSecret": "example", "isPayLater": true } ]}Unauthorized: no bearer token, or one that is expired or not for this API.
Forbidden: the caller holds no role that allows this action at this scope. The body is empty, or a problem whose detail names the action.
Media typeapplication/json
An RFC 9457 problem.
object
detail
string
instance
string
status
integer format: int32
title
string
type
string
key
additional properties
Example generated
{ "detail": "example", "instance": "example", "status": 1, "title": "example", "type": "example"}